%% beamercolorthemeKIT.sty: LaTeX style for KIT presentations
%% ==========================================================
%% Author: Dr. Thomas Hertweck, Thomas.Hertweck@kit.edu
%% ==========================================================

\ProvidesPackage{beamercolorthemeKIT}[2025/02/28 v2.0 beamer color theme KIT]

\RequirePackage{colorKIT}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% color setup for beamer elements %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setbeamercolor{background canvas}{bg=KITwhite}

\ifkit@iceblue%
  \setbeamercolor{title}{fg=KITiceblue}
  \setbeamercolor{subtitle}{fg=KITiceblue}
  \setbeamercolor{section in toc}{fg=KITiceblue}
  \setbeamercolor{section in toc shaded}{fg=KITiceblue!30!KITbluegreen}
\else%
  \setbeamercolor{title}{fg=KITwhite}
  \setbeamercolor{subtitle}{fg=KITwhite}
  \setbeamercolor{section in toc}{fg=KITwhite}
  \setbeamercolor{section in toc shaded}{fg=KITwhite!30!KITbluegreen}
\fi

\setbeamercolor{author}{fg=KITwhite}
\setbeamercolor{date}{fg=KITwhite}
\setbeamercolor{pageno}{fg=KITgray}
\setbeamercolor{shortdate}{fg=KITgray}
\setbeamercolor{shortauthor}{fg=KITgray}
\setbeamercolor{shorttitle}{fg=KITgray}
\setbeamercolor{shortinstitute}{fg=KITgray}
\setbeamercolor{shortliclogo}{fg=KITgray}

\setbeamercolor{normal text}{fg=KITdarkblue}

\setbeamercolor{frametitle}{fg=KITdarkblue}
\setbeamercolor{framesubtitle}{fg=KITgray}

\setbeamercolor{itemize item}{fg=KITbluegreen}
\setbeamercolor{itemize subitem}{fg=KITbluegreen}
\setbeamercolor{itemize subsubitem}{fg=KITbluegreen}
\setbeamercolor{enumerate item}{fg=KITbluegreen}
\setbeamercolor{enumerate subitem}{fg=KITbluegreen}
\setbeamercolor{enumerate subsubitem}{fg=KITbluegreen}

\setbeamercolor{navigation symbols}{fg=KITgray}
\setbeamercolor{navigation symbols dimmed}{fg=KITlightgray}

\setbeamercolor{subsection in toc}{fg=KITwhite}
\setbeamercolor{subsection in toc shaded}{fg=KITwhite!30!KITbluegreen}

\colorlet{KITtitlepageboxcolor}{KITwhite}
\colorlet{KITtocboxcolor}{KITwhite}

\ifkit@iceblue%
\setbeamercolor{section number}{fg=KITiceblue}
\colorlet{KITsectionnumberdefault}{KITiceblue}
\else%
\setbeamercolor{section number}{fg=KITwhite}
\colorlet{KITsectionnumberdefault}{KITwhite}
\fi
\setbeamercolor{section title}{fg=KITwhite}
\setbeamercolor{section intro}{fg=KITwhite}

\setbeamercolor{part name}{fg=KITbluegreen}
\ifkit@iceblue%
\setbeamercolor{part title}{fg=KITiceblue}
\colorlet{KITparttitledefault}{KITiceblue}
\else%
\setbeamercolor{part title}{fg=KITwhite}
\colorlet{KITparttitledefault}{KITwhite}
\fi

\setbeamercolor{alerted text}{fg=KITred}

\setbeamercolor{block title}{use=structure,fg=KITwhite,bg=KITdarkblue}
\setbeamercolor{block title alerted}{use=alerted text,fg=white,bg=KITred}
\setbeamercolor{block title example}{use=example text,fg=KITwhite,bg=KITbluegreen}
\setbeamercolor{block body}{parent=normal text,bg=KITlightgray}
\setbeamercolor{block body alerted}{parent=normal text,fg=KITdarkblue,bg=KITred15}
\setbeamercolor{block body example}{parent=normal text,fg=KITdarkblue,bg=KITlightgray}

\setbeamercolor{button}{bg=KITdarkblue}
\setbeamercolor{qed symbol}{fg=KITdarkblue}
\setbeamercolor{description item}{fg=KITbluegreen}
\setbeamercolor{abstract title}{fg=KITdarkblue}

\setbeamercolor{bibliography entry author}{fg=KITdarkblue}
\setbeamercolor{bibliography entry title}{fg=KITdarkblue}
\setbeamercolor{bibliography entry location}{fg=KITdarkblue}
\setbeamercolor{bibliography entry note}{fg=KITdarkblue!50!bg}

\setbeamercolor{structure}{fg=KITdarkblue}
\setbeamercolor{verse}{fg=KITdarkblue,bg=KITlightgray!50}
\setbeamercolor{quotation}{fg=KITdarkblue,bg=KITlightgray!50}
\setbeamercolor{quote}{fg=KITdarkblue,bg=}